<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Gdpr Cookie Graphql by Amasty
 */

namespace Amasty\GdprCookieGraphql\Model\Resolver\Bar\Processor;

class Classic extends CommonTypeProcessor
{
    public function process(string $storeId): array
    {
        $result = parent::process($storeId);
        $result[0]['barLocation'] = (int)$this->configProvider->getBarLocation($storeId);

        return $result;
    }
}
